/*!
    \defgroup sensor Sensor
    \brief This module receives fake data for testing purposes.

     The module retrieves fake data for testing purposes.
*/
///@{

#pragma once

#include <ObSensor.h>

///
/// \class ObSensorTest
///
/// \brief Tesing Obmon sensor class
///	\author Martin Vala <mvala@cern.ch>
///

class ObSensorTest : public ObSensor {
public:
  ObSensorTest(std::string _name = {"sys"});
  virtual ~ObSensorTest();

  void init() override;
  void process() override;
  void speed(ObSensor *s1, ObSensor *s2, int timeout = 1000) override;
  std::string json(const std::string name = {"static"}) const override;
};

///@}
